Name:		belcard
Version:	1.0.2
Release:	2%{?dist}
URL:		https://github.com/BelledonneCommunications/belcard
Source0:	https://www.linphone.org/releases/sources/belcard/%{name}-%{version}.tar.gz
License:	GPLv2+
Summary:	C++ libary to manipulate VCard standard format
# a few C++ bits
BuildRequires:	gcc-c++
BuildRequires:	cmake, libtool, libudev-devel, git-core
BuildRequires:	bctoolbox-devel, belr-devel

%description
Belcard is a C++ library to manipulate VCard standard format.

%package devel
Summary:	Development libraries for belcard
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	belr-devel%{?_isa}

%description devel
Development libraries for belcard.

%prep
%setup -q -n %{name}-%{version}-0

%build
%cmake . -DENABLE_STATIC=OFF

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_libdir}/*.la

%ldconfig_scriptlets

%files
%license COPYING
%doc README.md
%{_bindir}/belcard-folder
%{_bindir}/belcard-parser
%{_bindir}/belcard-unfolder
%{_bindir}/belcard_tester
%{_libdir}/libbelcard.so.*
%{_datadir}/belcard_tester/

%files devel
%{_includedir}/belcard/
%{_libdir}/libbelcard.so
# For cmake
%{_datadir}/Belcard/

%changelog
* Thu Jan  9 2020 Tom Callaway <spot@fedoraproject.org> - 1.0.2-2
- add R: belr-devel to the devel subpackage

* Thu Jan  9 2020 Tom Callaway <spot@fedoraproject.org> - 1.0.2-1
- initial package
